﻿using MS.Models;
using MS.Models.ViewModel;
using MS.WebCore.Core;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Threading.Tasks;

namespace MS.Services.PosTrxService
{
    public interface IPosTrxService : IBaseService
    {
        Task<ExecuteResult> NozzleTotalizerShiftReportAsync(string startTime,
                                                         string endTime,
                                                         string currentBuId);
        Task<MemoryStream> ExportToExcelAsync<T>(List<T> data);
        Task<List<NozzleTotalizerDto>> GetListFromSessionAsync(string startTime,
                                                         string endTime,
                                                         string currentBuId);

        Task<ExecuteResult> GetTransactionStatus(string SeqNo, string NozzleId, string sn,string FuelItemFdcReleaseTokenAttribute,string FuelItemOriginalGrossAmount, DateTime? FuelItemTransactionEndTime = null);
        Task<ExecuteResult> RemarkUnlockTransaction(string userName, string alias, decimal? ttc, decimal? releaseToken, int nozzleNum, DateTime? endTime , string oilName, decimal? volume, decimal? amount, DateTime? unLockTime, string sn, string Comment, DateTime? cancellation);
    }
}
